## qrq 0.1.2

=== Makefile ===
# qrq Makefile -- Fabian Kurz, DJ1YFK -- http://fkurz.net/ham/qrq.html

VERSION=0.1.2
DESTDIR ?= /usr

all: qrq

qrq: qrq.c
	gcc qrq.c -pthread $(CFLAGS) -Wall -lm -lncurses \
			-D DESTDIR=\"$(DESTDIR)\" -D VERSION=\"$(VERSION)\" -o qrq

install:
	install -d -v               $(DESTDIR)/share/qrq/
	install -d -v               $(DESTDIR)/share/man/man1/
	install -d -v               $(DESTDIR)/bin/
	install -s -m 0755 qrq      $(DESTDIR)/bin/
	install    -m 0755 qrqscore $(DESTDIR)/bin/
	install    -m 0644 qrq.1    $(DESTDIR)/share/man/man1/
	install    -m 0644 callbase $(DESTDIR)/share/qrq/
	install    -m 0644 qrqrc    $(DESTDIR)/share/qrq/
	install    -m 0644 toplist  $(DESTDIR)/share/qrq/
	
uninstall:
	rm -f $(DESTDIR)/bin/qrq
	rm -f $(DESTDIR)/bin/qrqscore
	rm -f $(DESTDIR)/share/man/man1/qrq.1
	rm -f $(DESTDIR)/share/qrq/callbase
	rm -f $(DESTDIR)/share/qrq/qrqrc
	rm -f $(DESTDIR)/share/qrq/toplist
	rmdir $(DESTDIR)/share/qrq/

clean:
	rm -f qrq toplist-old *~

dist:
	sed 's/Version [0-9].[0-9].[0-9]/Version $(VERSION)/g' README > README2
	rm -f README
	mv README2 README
	rm -f releases/qrq-$(VERSION).tar.gz
	rm -rf releases/qrq-$(VERSION)
	mkdir qrq-$(VERSION)
	cp qrq.png qrqscore qrq.c qrqrc callbase toplist CHANGELOG README \
			COPYING qrq.1 Makefile qrq-$(VERSION)
	tar -zcf qrq-$(VERSION).tar.gz qrq-$(VERSION)
	mv qrq-$(VERSION) releases/
	mv qrq-$(VERSION).tar.gz releases/
	md5sum releases/*.gz > releases/md5sums.txt

## qrq 0.1.3

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 # qrq Makefile -- Fabian Kurz, DJ1YFK -- http://fkurz.net/ham/qrq.html
 
-VERSION=0.1.2
+VERSION=0.1.3
 DESTDIR ?= /usr
 
 all: qrq

## qrq 0.1.4

=== Makefile ===
# qrq Makefile -- Fabian Kurz, DJ1YFK -- http://fkurz.net/ham/qrq.html

VERSION=0.1.4
DESTDIR?=/usr

# set to YES if you want to use OpenAL instead of OSS
# note that you must use OpenAL for OSX
USE_OPENAL=NO

# set to YES if building on OSX
OSX_PLATFORM=NO

# set to YES if you want make install to build an OSX bundle instead of installing to DESTDIR
# also directs qrq to look in bundle location for shared resources
OSX_BUNDLE=YES

ifneq ($(OSX_PLATFORM), YES)
		OSX_BUNDLE=NO
endif

CFLAGS:=$(CFLAGS) -D DESTDIR=\"$(DESTDIR)\" -D VERSION=\"$(VERSION)\"

ifeq ($(USE_OPENAL), YES)
		OBJECTS=qrq.o OpenAlImp.o OpenAlStream.o
		CFLAGS:=$(CFLAGS) -D OPENAL
		ifeq ($(OSX_PLATFORM), YES)
			LDFLAGS:=$(LDFLAGS) -framework OpenAL
			ifeq ($(OSX_BUNDLE), YES)
				CFLAGS:=$(CFLAGS) -D OSX_BUNDLE
			endif
		else
			LDFLAGS:=$(LDFLAGS) -lopenal
		endif
else
		OBJECTS=qrq.o oss.o
endif

all: qrq

qrq: $(OBJECTS)
	g++ -pthread -Wall -lm -lncurses $(LDFLAGS) -o $@ $^
	
.c.o:
	gcc $(CFLAGS) -c $<

.cpp.o:
	g++ $(CFLAGS) -c $<

ifeq ($(OSX_BUNDLE), YES)

install: qrq
	install -d -v							qrq.app/Contents
	install -d -v							qrq.app/Contents/MacOS
	install -d -v							qrq.app/Contents/Resources
	install -d -v							qrq.app/Contents/Resources/share/qrq/
	install -d -v							qrq.app/Contents/Resources/share/man/man1/
	install    -m 0755 qrq					qrq.app/Contents/MacOS/
	install    -m 0755 qrqscore				qrq.app/Contents/MacOS/
	install    -m 0644 qrq.1				qrq.app/Contents/Resources/share/man/man1/
	install    -m 0644 callbase				qrq.app/Contents/Resources/share/qrq/
	install    -m 0644 qrqrc				qrq.app/Contents/Resources/share/qrq/
	install    -m 0644 toplist				qrq.app/Contents/Resources/share/qrq/
	install    -m 0644 OSXExtras/qrq.icns	qrq.app/Contents/Resources/
	install    -m 0755 OSXExtras/qrqsh		qrq.app/Contents/MacOS/
	sed 's/VERSION/$(VERSION)/' OSXExtras/Info.plist > qrq.app/Contents/Info.plist

uninstall:
	rm -rf qrq.app

else

install: qrq
	install -d -v               $(DESTDIR)/share/qrq/
	install -d -v               $(DESTDIR)/share/man/man1/
	install -d -v               $(DESTDIR)/bin/
	install -s -m 0755 qrq      $(DESTDIR)/bin/
	install    -m 0755 qrqscore $(DESTDIR)/bin/
	install    -m 0644 qrq.1    $(DESTDIR)/share/man/man1/
	install    -m 0644 callbase $(DESTDIR)/share/qrq/
	install    -m 0644 qrqrc    $(DESTDIR)/share/qrq/
	install    -m 0644 toplist  $(DESTDIR)/share/qrq/

	
uninstall:
	rm -f $(DESTDIR)/bin/qrq
	rm -f $(DESTDIR)/bin/qrqscore
	rm -f $(DESTDIR)/share/man/man1/qrq.1
	rm -f $(DESTDIR)/share/qrq/callbase
	rm -f $(DESTDIR)/share/qrq/qrqrc
	rm -f $(DESTDIR)/share/qrq/toplist
	rmdir $(DESTDIR)/share/qrq/

endif

clean:
	rm -f qrq toplist-old *~ *.o
	rm -rf qrq.app

dist:
	sed 's/Version [0-9].[0-9].[0-9]/Version $(VERSION)/g' README > README2
	rm -f README
	mv README2 README
	rm -f releases/qrq-$(VERSION).tar.gz
	rm -rf releases/qrq-$(VERSION)
	mkdir qrq-$(VERSION)
	cp qrq.png qrqscore qrq.c oss.c oss.h qrqrc callbase toplist CHANGELOG README \
			COPYING qrq.1 Makefile qrq-$(VERSION)
	cp OpenAlImp.h OpenAlImp.cpp OpenAlStream.cpp OpenAlStream.h qrq-$(VERSION)
	cp -r OSXExtras qrq-$(VERSION)
	rm -rf qrq-$(VERSION)/OSXExtras/.svn/
	tar -zcf qrq-$(VERSION).tar.gz qrq-$(VERSION)
	mv qrq-$(VERSION) releases/
	mv qrq-$(VERSION).tar.gz releases/
	md5sum releases/*.gz > releases/md5sums.txt

## qrq 0.2.0

=== Makefile ===
# qrq Makefile -- Fabian Kurz, DJ1YFK -- http://fkurz.net/ham/qrq.html

VERSION=0.2.0
DESTDIR?=/usr

# set to YES if you want to use OpenAL instead of OSS
# note that you must use OpenAL for OSX
USE_OPENAL=NO

# set to YES if you want to use PulseAudio instead of OSS
USE_PA=YES

# set to YES if building on OSX
OSX_PLATFORM=NO

# set to YES if you want make install to build an OSX bundle instead of
# installing to DESTDIR
# also directs qrq to look in bundle location for shared resources
OSX_BUNDLE=YES

ifneq ($(OSX_PLATFORM), YES)
		OSX_BUNDLE=NO
endif

CFLAGS:=$(CFLAGS) -D DESTDIR=\"$(DESTDIR)\" -D VERSION=\"$(VERSION)\"

ifeq ($(USE_OPENAL), YES)
		OBJECTS=qrq.o OpenAlImp.o OpenAlStream.o
		CFLAGS:=$(CFLAGS) -D OPENAL
		ifeq ($(OSX_PLATFORM), YES)
			LDFLAGS:=$(LDFLAGS) -framework OpenAL -isysroot /Developer/SDKs/MacOSX10.5.sdk -mmacosx-version-min=10.5
			CFLAGS:=$(CFLAGS) -isysroot /Developer/SDKs/MacOSX10.5.sdk -mmacosx-version-min=10.5
			ifeq ($(OSX_BUNDLE), YES)
				CFLAGS:=$(CFLAGS) -D OSX_BUNDLE
			endif
		else
			LDFLAGS:=$(LDFLAGS) -lopenal
		endif
endif
ifeq ($(USE_PA), YES)
		CFLAGS:=$(CFLAGS) -D PA
		LDFLAGS:=$(LDFLAGS) -lpulse-simple -lpulse 
		OBJECTS=qrq.o pulseaudio.o
else
		OBJECTS=qrq.o oss.o
		CFLAGS:=$(CFLAGS) -D OSS
endif	

all: qrq

qrq: $(OBJECTS)
	g++ -pthread -Wall -lm -lncurses $(LDFLAGS) -o $@ $^
	
.c.o:
	gcc -Wall $(CFLAGS) -c $<

.cpp.o:
	g++ $(CFLAGS) -c $<

ifeq ($(OSX_BUNDLE), YES)

install: qrq
	install -d -v							qrq.app/Contents
	install -d -v							qrq.app/Contents/MacOS
	install -d -v							qrq.app/Contents/Resources
	install -d -v							qrq.app/Contents/Resources/share/qrq/
	install -d -v							qrq.app/Contents/Resources/share/man/man1/
	install    -m 0755 qrq					qrq.app/Contents/MacOS/
	install    -m 0755 qrqscore				qrq.app/Contents/MacOS/
	install    -m 0644 qrq.1				qrq.app/Contents/Resources/share/man/man1/
	install    -m 0644 callbase.qcb				qrq.app/Contents/Resources/share/qrq/
	install    -m 0644 english.qcb				qrq.app/Contents/Resources/share/qrq/
	install    -m 0644 qrqrc				qrq.app/Contents/Resources/share/qrq/
	install    -m 0644 toplist				qrq.app/Contents/Resources/share/qrq/
	install    -m 0644 OSXExtras/qrq.icns	qrq.app/Contents/Resources/
	install    -m 0755 OSXExtras/qrqsh		qrq.app/Contents/MacOS/
	sed 's/VERSION/$(VERSION)/' OSXExtras/Info.plist > qrq.app/Contents/Info.plist

uninstall:
	rm -rf qrq.app

else

install: qrq
	install -d -v                   $(DESTDIR)/share/qrq/
	install -d -v                   $(DESTDIR)/share/man/man1/
	install -d -v                   $(DESTDIR)/bin/
	install -s -m 0755 qrq          $(DESTDIR)/bin/
	install    -m 0755 qrqscore     $(DESTDIR)/bin/
	install    -m 0644 qrq.1        $(DESTDIR)/share/man/man1/
	install    -m 0644 callbase.qcb $(DESTDIR)/share/qrq/
	install    -m 0644 english.qcb  $(DESTDIR)/share/qrq/
	install    -m 0644 qrqrc        $(DESTDIR)/share/qrq/
	install    -m 0644 toplist      $(DESTDIR)/share/qrq/

	
uninstall:
	rm -f $(DESTDIR)/bin/qrq
	rm -f $(DESTDIR)/bin/qrqscore
	rm -f $(DESTDIR)/share/man/man1/qrq.1
	rm -f $(DESTDIR)/share/qrq/callbase.qcb
	rm -f $(DESTDIR)/share/qrq/english.qcb
	rm -f $(DESTDIR)/share/qrq/qrqrc
	rm -f $(DESTDIR)/share/qrq/toplist
	rmdir $(DESTDIR)/share/qrq/

endif

clean:
	rm -f qrq toplist-old *~ *.o
	rm -rf qrq.app

dist:
	sed 's/Version [0-9].[0-9].[0-9]/Version $(VERSION)/g' README > README2
	rm -f README
	mv README2 README
	rm -f releases/qrq-$(VERSION).tar.gz
	rm -rf releases/qrq-$(VERSION)
	mkdir qrq-$(VERSION)
	cp qrq.png qrqscore qrq.c oss.c oss.h qrqrc callbase.qcb toplist \
		AUTHORS ChangeLog README COPYING qrq.1 Makefile \
		english.qcb qrq-$(VERSION)
	cp OpenAlImp.h OpenAlImp.cpp OpenAlStream.cpp OpenAlStream.h \
		qrq-$(VERSION)
	cp pulseaudio.h pulseaudio.c qrq-$(VERSION)
	cp -r OSXExtras qrq-$(VERSION)
	rm -rf qrq-$(VERSION)/OSXExtras/.svn/
	tar -zcf qrq-$(VERSION).tar.gz qrq-$(VERSION)
	mv qrq-$(VERSION) releases/
	mv qrq-$(VERSION).tar.gz releases/
	md5sum releases/*.gz > releases/md5sums.txt

=== debian/changelog ===
qrq (0.2.0-2) unstable; urgency=low

  [ John Nogatch ]
  * Fix gcc 4.6 library order build problem (LP: #771075)

 -- Kamal Mostafa <kamal@whence.com>  Sat, 23 Jul 2011 20:11:25 -0700

qrq (0.2.0-1) unstable; urgency=low

  [ Steve Conklin ]
  * New upstream release
  * change debian maintainer and uploaders (Closes: 554100)
  * added libpulse-dev package dependency

  [ Upstream Changes ]
  * Added options for fixed CW speed (regardless of errors), unlimited
    usage of repeats and unlimited attempt lengths. Suggested by AA0HW.
  * No more duplicate callsigns in one attempt
  * Unlimited attempts (e.g. with _all_ callsigns of a particular
    database) added
  * Call database file can be changed/selected in a menu now
  * Added a database with the 100 most common English words
  * Call databases with DOS linebreaks can now be used.
  * Fixed bugs in memory allocation.
  * CW edges changed to raised cosine
  * Minimum character speed can be specified; below, Farnsworth is used
  * PulseAudio support added (OSS and OpenAL still available)
  * Reformatted ChangeLog


 -- Steve Conklin <steve@conklinhouse.com>  Sat, 16 Jul 2011 15:53:17 -0500

qrq (0.1.4-3) unstable; urgency=low

  * Retiring - set the package maintainer to Debian QA Group.

 -- Joop Stakenborg <pa3aba@debian.org>  Mon, 02 Nov 2009 22:40:06 +0000

qrq (0.1.4-2) unstable; urgency=low

  * Package made lintian clean by Cornell Gonschior <df6fr@gmx.de>,
    thanks!

 -- Joop Stakenborg <pa3aba@debian.org>  Thu, 04 Sep 2008 19:52:37 +0200

qrq (0.1.4-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Added symlink to qrq.1 for qrqscore man page. qrqscore manual is
    included in qrq.1.

 -- Cornell Gonschior <df6fr@gmx.de>  Wed, 03 Sep 2008 19:18:35 +0000

qrq (0.1.4-1) unstable; urgency=low

  [ Cornell Gonschior ]
  * New upstream release
  * Added suggestion of gnuplot for result viewing
  * Corrected typo in menu file

  [ Joop Stakenborg ]
  * Upload on behalf of Cornell, DF6FR, who has indicated he wants to
    become co-maintainer. Thanks Cornell!

 -- Joop Stakenborg <pa3aba@debian.org>  Mon, 28 Jul 2008 10:20:57 +0200

qrq (0.1.3-1) unstable; urgency=low

  * New upstream release

 -- Joop Stakenborg <pa3aba@debian.org>  Tue, 22 Jan 2008 20:52:48 +0100

qrq (0.1.2-1) unstable; urgency=low

  * New upstream release

 -- Joop Stakenborg <pa3aba@debian.org>  Mon, 19 Nov 2007 22:59:03 +0100

qrq (0.1.1-1) unstable; urgency=low

  * Initial release

 -- Joop Stakenborg <pa3aba@debian.org>  Wed, 31 Oct 2007 09:38:29 +0100

=== debian/control ===
Source: qrq
Section: hamradio
Priority: extra
Maintainer: Debian Hamradio Maintainers <debian-hams@lists.debian.org>
Uploaders: Steve Conklin <steve@conklinhouse.com>, Kamal Mostafa <kamal@whence.com>
Build-Depends: debhelper (>= 7.0.50~), libncurses5-dev, libpulse-dev
Standards-Version: 3.9.2
Homepage: http://fkurz.net/ham/qrq.html

Package: qrq
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: gnuplot
Description: high speed morse trainer, similar to DL4MM's Rufz
 qrq is an open source morse telegraphy trainer for Linux and Unix operating
 systems, similar to the classic DOS version of Rufz by DL4MM.
 .
 It is not intended for learning telegraphy, but to improve the ability
 to copy callsigns at high speeds, as needed for example for Contesting.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1




configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp 
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE) DESTDIR=/usr
	#docbook-to-man debian/qrq.sgml > qrq.1

	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	$(MAKE) clean

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs

	# Add here commands to install the package into debian/qrq.
	$(MAKE) DESTDIR=$(CURDIR)/debian/qrq/usr install
	ln -s qrq.1.gz $(CURDIR)/debian/qrq/usr/share/man/man1/qrqscore.1.gz

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs ChangeLog
	dh_installdocs
	dh_installmenu
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## qrq 0.2.1

=== Makefile ===
--- 
+++ 
@@ -1,11 +1,11 @@
 # qrq Makefile -- Fabian Kurz, DJ1YFK -- http://fkurz.net/ham/qrq.html
 
-VERSION=0.2.0
+VERSION=0.2.1
 DESTDIR?=/usr
 
-# set to YES if you want to use OpenAL instead of OSS
-# note that you must use OpenAL for OSX
-USE_OPENAL=NO
+# set to YES if you want to use Core Audio
+# note that you must use Core Audio for OSX
+USE_CA=NO
 
 # set to YES if you want to use PulseAudio instead of OSS
 USE_PA=YES
@@ -23,21 +23,26 @@
 endif
 
 CFLAGS:=$(CFLAGS) -D DESTDIR=\"$(DESTDIR)\" -D VERSION=\"$(VERSION)\"
+CC=gcc
 
-ifeq ($(USE_OPENAL), YES)
-		OBJECTS=qrq.o OpenAlImp.o OpenAlStream.o
-		CFLAGS:=$(CFLAGS) -D OPENAL
+ifeq ($(USE_CA), YES)
+		OBJECTS=qrq.o coreaudio.o
+		CFLAGS:=$(CFLAGS) -D CA -std=c99
 		ifeq ($(OSX_PLATFORM), YES)
-			LDFLAGS:=$(LDFLAGS) -framework OpenAL -isysroot /Developer/SDKs/MacOSX10.5.sdk -mmacosx-version-min=10.5
-			CFLAGS:=$(CFLAGS) -isysroot /Developer/SDKs/MacOSX10.5.sdk -mmacosx-version-min=10.5
+			LDFLAGS:=$(LDFLAGS) -framework AudioUnit -framework CoreServices  -isysroot /Developer/SDKs/MacOSX10.6.sdk -mmacosx-version-min=10.5
+			CFLAGS:=$(CFLAGS) -isysroot /Developer/SDKs/MacOSX10.6.sdk -mmacosx-version-min=10.5
 			ifeq ($(OSX_BUNDLE), YES)
 				CFLAGS:=$(CFLAGS) -D OSX_BUNDLE
 			endif
-		else
-			LDFLAGS:=$(LDFLAGS) -lopenal
+		else  # build for iphone/ipad
+			LDFLAGS:=$(LDFLAGS) -L iOSExtras/lib -framework AudioToolbox -isysroot /Developer/Platforms/iPhoneOS.platform/Developer/SDKs/iPhoneOS4.3.sdk
+			CFLAGS:=$(CFLAGS) -I iOSExtras/include -isysroot /Developer/Platforms/iPhoneOS.platform/Developer/SDKs/iPhoneOS4.3.sdk
+			CC:=/Developer/Platforms/iPhoneOS.platform/Developer/usr/bin/gcc-4.2 -arch armv6
+			IPHONE_HOST=root@localhost
+			SCP=scp -P2222
+			SSH=ssh -p2222
 		endif
-endif
-ifeq ($(USE_PA), YES)
+else ifeq ($(USE_PA), YES)
 		CFLAGS:=$(CFLAGS) -D PA
 		LDFLAGS:=$(LDFLAGS) -lpulse-simple -lpulse 
 		OBJECTS=qrq.o pulseaudio.o
@@ -49,13 +54,13 @@
 all: qrq
 
 qrq: $(OBJECTS)
-	g++ -pthread -Wall -lm -lncurses $(LDFLAGS) -o $@ $^
+	$(CC) -pthread -Wall -o $@ $^ -lm -lncurses $(LDFLAGS)
 	
 .c.o:
-	gcc -Wall $(CFLAGS) -c $<
+	$(CC) -Wall $(CFLAGS) -c $<
 
-.cpp.o:
-	g++ $(CFLAGS) -c $<
+#.cpp.o:
+#	g++ $(CFLAGS) -c $<
 
 ifeq ($(OSX_BUNDLE), YES)
 
@@ -82,16 +87,16 @@
 else
 
 install: qrq
-	install -d -v                   $(DESTDIR)/share/qrq/
-	install -d -v                   $(DESTDIR)/share/man/man1/
-	install -d -v                   $(DESTDIR)/bin/
-	install -s -m 0755 qrq          $(DESTDIR)/bin/
-	install    -m 0755 qrqscore     $(DESTDIR)/bin/
-	install    -m 0644 qrq.1        $(DESTDIR)/share/man/man1/
-	install    -m 0644 callbase.qcb $(DESTDIR)/share/qrq/
-	install    -m 0644 english.qcb  $(DESTDIR)/share/qrq/
-	install    -m 0644 qrqrc        $(DESTDIR)/share/qrq/
-	install    -m 0644 toplist      $(DESTDIR)/share/qrq/
+	install -d -v                      $(DESTDIR)/share/qrq/
+	install -d -v                      $(DESTDIR)/share/man/man1/
+	install -d -v                      $(DESTDIR)/bin/
+	install -s -m 0755 qrq             $(DESTDIR)/bin/
+	install    -m 0755 qrqscore        $(DESTDIR)/bin/
+	install    -m 0644 qrq.1           $(DESTDIR)/share/man/man1/
+	install    -m 0644 callbase.qcb    $(DESTDIR)/share/qrq/
+	install    -m 0644 english.qcb     $(DESTDIR)/share/qrq/
+	install    -m 0644 qrqrc           $(DESTDIR)/share/qrq/
+	install    -m 0644 toplist         $(DESTDIR)/share/qrq/
 
 	
 uninstall:
@@ -106,6 +111,25 @@
 
 endif
 
+package: qrq
+	export CODESIGN_ALLOCATE=/Developer/Platforms/iPhoneOS.platform/Developer/usr/bin/codesign_allocate; ldid -s qrq
+	rm -rf qrq-pkg
+	install -d -v                      qrq-pkg/$(DESTDIR)/share/qrq/
+	install -d -v                      qrq-pkg/$(DESTDIR)/share/man/man1/
+	install -d -v                      qrq-pkg/$(DESTDIR)/bin/
+	install -d -v                      qrq-pkg/DEBIAN/
+	install -s -m 0755 qrq             qrq-pkg/$(DESTDIR)/bin/
+	install    -m 0755 qrqscore        qrq-pkg/$(DESTDIR)/bin/
+	install    -m 0644 qrq.1           qrq-pkg/$(DESTDIR)/share/man/man1/
+	install    -m 0644 callbase.qcb    qrq-pkg/$(DESTDIR)/share/qrq/
+	install    -m 0644 english.qcb     qrq-pkg/$(DESTDIR)/share/qrq/
+	install    -m 0644 qrqrc           qrq-pkg/$(DESTDIR)/share/qrq/
+	install    -m 0644 toplist         qrq-pkg/$(DESTDIR)/share/qrq/
+	install    -m 0644 control         qrq-pkg/DEBIAN/
+	export COPYFILE_DISABLE=1; export COPY_EXTENDED_ATTRIBUTES_DISABLE=1; dpkg-deb -b qrq-pkg cydiastore_com.kb1ooo.qrq_v$(shell grep ^Version: control | cut -d ' ' -f 2).deb
+	$(SCP) cydiastore_com.kb1ooo.qrq_v$(shell grep ^Version: control | cut -d ' ' -f 2).deb $(IPHONE_HOST):/tmp
+	$(SSH) $(IPHONE_HOST) "dpkg -i /tmp/cydiastore_com.kb1ooo.qrq_v$(shell grep ^Version: control | cut -d ' ' -f 2).deb"
+
 clean:
 	rm -f qrq toplist-old *~ *.o
 	rm -rf qrq.app
@@ -117,10 +141,11 @@
 	rm -f releases/qrq-$(VERSION).tar.gz
 	rm -rf releases/qrq-$(VERSION)
 	mkdir qrq-$(VERSION)
-	cp qrq.png qrqscore qrq.c oss.c oss.h qrqrc callbase.qcb toplist \
+	cp qrq.png qrqscore qrq.c qrqrc callbase.qcb toplist \
 		AUTHORS ChangeLog README COPYING qrq.1 Makefile \
-		english.qcb qrq-$(VERSION)
-	cp OpenAlImp.h OpenAlImp.cpp OpenAlStream.cpp OpenAlStream.h \
+		english.qcb \
+		qrq-$(VERSION)
+	cp coreaudio.c coreaudio.h oss.c oss.h \
 		qrq-$(VERSION)
 	cp pulseaudio.h pulseaudio.c qrq-$(VERSION)
 	cp -r OSXExtras qrq-$(VERSION)

=== debian/changelog ===
qrq (0.2.1-2) unstable; urgency=low

  * The following changes were present in the -1 release
    but omitted from the changelog
  * Dropped patch which was applied upstream:
    - fix-build-for-gcc-4.6.patch
  * Enabled DM-Upload-Allowed: yes
  * Clean up rules and eliminate lintian warning
    - debian-rules-missong-recommended-target

 -- Steve Conklin <steve@conklinhouse.com>  Thu, 29 Sep 2011 08:57:18 -0500

qrq (0.2.1-1) unstable; urgency=low

  * New upstream release

 -- Steve Conklin <steve@conklinhouse.com>  Thu, 29 Sep 2011 04:11:18 -0500

=== debian/rules ===
--- 
+++ 
@@ -15,17 +15,17 @@
 configure: configure-stamp
 configure-stamp:
 	dh_testdir
-	# Add here commands to configure the package.
-
 	touch configure-stamp
 
+build: build-arch build-indep
 
-build: build-stamp
+build-arch: build-stamp
+
+build-indep: build-stamp
 
 build-stamp: configure-stamp 
 	dh_testdir
 
-	# Add here commands to compile the package.
 	$(MAKE) DESTDIR=/usr
 	#docbook-to-man debian/qrq.sgml > qrq.1
 
@@ -36,7 +36,6 @@
 	dh_testroot
 	rm -f build-stamp configure-stamp
 
-	# Add here commands to clean up after the build process.
 	$(MAKE) clean
 
 	dh_clean 
@@ -47,7 +46,6 @@
 	dh_prep
 	dh_installdirs
 
-	# Add here commands to install the package into debian/qrq.
 	$(MAKE) DESTDIR=$(CURDIR)/debian/qrq/usr install
 	ln -s qrq.1.gz $(CURDIR)/debian/qrq/usr/share/man/man1/qrqscore.1.gz

## qrq 0.3.0

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 # qrq Makefile -- Fabian Kurz, DJ1YFK -- http://fkurz.net/ham/qrq.html
 
-VERSION=0.2.1
+VERSION=0.3.0
 DESTDIR?=/usr
 
 # set to YES if you want to use Core Audio
@@ -9,6 +9,9 @@
 
 # set to YES if you want to use PulseAudio instead of OSS
 USE_PA=YES
+
+# set to YES if you compile with MINGW32
+USE_WIN32=NO
 
 # set to YES if building on OSX
 OSX_PLATFORM=NO
@@ -22,12 +25,12 @@
 		OSX_BUNDLE=NO
 endif
 
-CFLAGS:=$(CFLAGS) -D DESTDIR=\"$(DESTDIR)\" -D VERSION=\"$(VERSION)\"
+CFLAGS:=$(CFLAGS) -D DESTDIR=\"$(DESTDIR)\" -D VERSION=\"$(VERSION)\" -I.
 CC=gcc
 
 ifeq ($(USE_CA), YES)
 		OBJECTS=qrq.o coreaudio.o
-		CFLAGS:=$(CFLAGS) -D CA -std=c99
+		CFLAGS:=$(CFLAGS) -D CA -std=c99 -pthread
 		ifeq ($(OSX_PLATFORM), YES)
 			LDFLAGS:=$(LDFLAGS) -framework AudioUnit -framework CoreServices  -isysroot /Developer/SDKs/MacOSX10.6.sdk -mmacosx-version-min=10.5
 			CFLAGS:=$(CFLAGS) -isysroot /Developer/SDKs/MacOSX10.6.sdk -mmacosx-version-min=10.5
@@ -43,18 +46,23 @@
 			SSH=ssh -p2222
 		endif
 else ifeq ($(USE_PA), YES)
+		CFLAGS:=$(CFLAGS) -D PA -pthread
+		LDFLAGS:=$(LDFLAGS) -lpulse-simple -lpulse -lncurses
+		OBJECTS=qrq.o pulseaudio.o
+else ifeq ($(USE_WIN32), YES)
 		CFLAGS:=$(CFLAGS) -D PA
-		LDFLAGS:=$(LDFLAGS) -lpulse-simple -lpulse 
-		OBJECTS=qrq.o pulseaudio.o
+		LDFLAGS:=$(LDFLAGS) -lwinmm
+		OBJECTS=qrq.o qrq.res pdcurses.a libpthreadGC1.a 
 else
 		OBJECTS=qrq.o oss.o
+		LDFLAGS:=$(LDFLAGS) -lpthread -lncurses
 		CFLAGS:=$(CFLAGS) -D OSS
 endif	
 
 all: qrq
 
 qrq: $(OBJECTS)
-	$(CC) -pthread -Wall -o $@ $^ -lm -lncurses $(LDFLAGS)
+	$(CC) -Wall -o $@ $^ -lm $(LDFLAGS)
 	
 .c.o:
 	$(CC) -Wall $(CFLAGS) -c $<
@@ -143,7 +151,7 @@
 	mkdir qrq-$(VERSION)
 	cp qrq.png qrqscore qrq.c qrqrc callbase.qcb toplist \
 		AUTHORS ChangeLog README COPYING qrq.1 Makefile \
-		english.qcb \
+		english.qcb qrq.ico qrq.rc \
 		qrq-$(VERSION)
 	cp coreaudio.c coreaudio.h oss.c oss.h \
 		qrq-$(VERSION)

=== debian/changelog ===
qrq (0.3.0-2ubuntu1) raring; urgency=low

  * Added missing lib to link, fixing FTBFS.

 -- Daniel T Chen <crimsun@ubuntu.com>  Thu, 18 Apr 2013 12:41:13 -0400

qrq (0.3.0-2) unstable; urgency=low

  * Fixed qrq.desktop main category

 -- Kamal Mostafa <kamal@whence.com>  Tue, 10 Jan 2012 09:25:17 -0800

qrq (0.3.0-1) unstable; urgency=low

  * New upstream release
  * Install qrq.png and qrq.desktop

 -- Kamal Mostafa <kamal@whence.com>  Mon, 09 Jan 2012 13:29:42 -0800

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,10 @@
 Source: qrq
 Section: hamradio
 Priority: extra
-Maintainer: Debian Hamradio Maintainers <debian-hams@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Hamradio Maintainers <debian-hams@lists.debian.org>
 Uploaders: Steve Conklin <steve@conklinhouse.com>, Kamal Mostafa <kamal@whence.com>
+DM-Upload-Allowed: yes
 Build-Depends: debhelper (>= 7.0.50~), libncurses5-dev, libpulse-dev
 Standards-Version: 3.9.2
 Homepage: http://fkurz.net/ham/qrq.html

## qrq 0.3.1

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 # qrq Makefile -- Fabian Kurz, DJ1YFK -- http://fkurz.net/ham/qrq.html
 
-VERSION=0.3.0
+VERSION=0.3.1
 DESTDIR?=/usr
 
 # set to YES if you want to use Core Audio

=== debian/changelog ===
qrq (0.3.1-1) unstable; urgency=low

  * New upstream release
  * debian/
    - debian/patches/link-with-lpthread.patch (Closes: 713589)
    - replaced old style debian/rules
    - bumped debian/compat to 9
    - bumped Standards-Version to 3.9.4
    - removed obsolete DM-Upload-Allowed

 -- Kamal Mostafa <kamal@whence.com>  Sun, 23 Jun 2013 10:50:39 -0700

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,10 @@
 Source: qrq
 Section: hamradio
 Priority: extra
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Hamradio Maintainers <debian-hams@lists.debian.org>
+Maintainer: Debian Hamradio Maintainers <debian-hams@lists.debian.org>
 Uploaders: Steve Conklin <steve@conklinhouse.com>, Kamal Mostafa <kamal@whence.com>
-DM-Upload-Allowed: yes
-Build-Depends: debhelper (>= 7.0.50~), libncurses5-dev, libpulse-dev
-Standards-Version: 3.9.2
+Build-Depends: debhelper (>= 9), libncurses5-dev, libpulse-dev
+Standards-Version: 3.9.4
 Homepage: http://fkurz.net/ham/qrq.html
 
 Package: qrq

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@

override_dh_auto_install:
	# quirk around the Makefile's DESTDIR?=/usr oddity
	dh_auto_install --destdir debian/qrq/usr
	# use the qrq.1 man page for qrqscore.1 also
	ln -s qrq.1.gz debian/qrq/usr/share/man/man1/qrqscore.1.gz

=== debian/watch ===
version=3
http://fkurz.net/ham/qrq/qrq-(.*)\.tar\.gz

## qrq 0.3.3

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 # qrq Makefile -- Fabian Kurz, DJ1YFK -- http://fkurz.net/ham/qrq.html
 
-VERSION=0.3.1
+VERSION?=0.3.3
 DESTDIR?=/usr
 
 # set to YES if you want to use Core Audio
@@ -25,8 +25,18 @@
 		OSX_BUNDLE=NO
 endif
 
-CFLAGS:=$(CFLAGS) -D DESTDIR=\"$(DESTDIR)\" -D VERSION=\"$(VERSION)\" -I.
-CC=gcc
+ifeq ($(USE_WIN32), YES)
+	CC=i686-w64-mingw32-gcc-posix
+else
+	CC=gcc
+endif
+
+# build information may be added by CI scripts and will be
+# displayed in the help text (qrq -h)
+
+BUILD_INFO=" Date: $(shell date --iso=seconds)\n git branch/commit: $(shell if [ x${CI_COMMIT_REF_NAME} != x ]; then echo ${CI_COMMIT_REF_NAME} ; elif [ -e .git ] || [ -e ../.git ]; then git symbolic-ref --short HEAD ; else echo not built from git repository ; fi) / $(shell if [ x${CI_COMMIT_SHA} != x ]; then echo ${CI_COMMIT_SHA}; elif [ -e .git ] || [ -e ../.git ] ; then git rev-parse --verify HEAD ; else echo - ; fi )\n by $(USER)@$(shell hostname -f)\n OS: $(shell uname -s -r -p)\n Compiler: $(shell $(CC) --version | head -1)"
+
+CFLAGS:=$(CFLAGS) -D DESTDIR=\"$(DESTDIR)\" -D BUILD_INFO=\"$(BUILD_INFO)\" -D VERSION=\"$(VERSION)\" -I.
 
 ifeq ($(USE_CA), YES)
 		OBJECTS=qrq.o coreaudio.o
@@ -47,17 +57,17 @@
 		endif
 else ifeq ($(USE_PA), YES)
 		CFLAGS:=$(CFLAGS) -D PA -pthread
-		LDFLAGS:=$(LDFLAGS) -lpulse-simple -lpulse -lncurses
+		LDFLAGS:=$(LDFLAGS) -lpthread -lpulse-simple -lpulse -lncurses
 		OBJECTS=qrq.o pulseaudio.o
 else ifeq ($(USE_WIN32), YES)
-		CFLAGS:=$(CFLAGS) -D PA
-		LDFLAGS:=$(LDFLAGS) -lwinmm
-		OBJECTS=qrq.o qrq.res pdcurses.a libpthreadGC1.a 
+		CFLAGS:=$(CFLAGS) -D WIN32 -Iinclude -Iinclude/ncursesw
+		LDFLAGS:=$(LDFLAGS) -lwinmm -lpthread
+		OBJECTS=qrq.o qrq.res lib/libncursesw.a
 else
 		OBJECTS=qrq.o oss.o
 		LDFLAGS:=$(LDFLAGS) -lpthread -lncurses
 		CFLAGS:=$(CFLAGS) -D OSS
-endif	
+endif
 
 all: qrq
 
@@ -139,18 +149,18 @@
 	$(SSH) $(IPHONE_HOST) "dpkg -i /tmp/cydiastore_com.kb1ooo.qrq_v$(shell grep ^Version: control | cut -d ' ' -f 2).deb"
 
 clean:
-	rm -f qrq toplist-old *~ *.o
+	rm -f qrq.exe qrq toplist-old *~ *.o README
+	rm -rf Summary
 	rm -rf qrq.app
 
 dist:
-	sed 's/Version [0-9].[0-9].[0-9]/Version $(VERSION)/g' README > README2
-	rm -f README
-	mv README2 README
-	rm -f releases/qrq-$(VERSION).tar.gz
-	rm -rf releases/qrq-$(VERSION)
+	sed 's/Version [0-9].[0-9].[0-9]/Version $(VERSION)/g' ../README > README
+	mkdir -p ../releases
+	rm -f ../releases/qrq-$(VERSION).tar.gz
+	rm -rf ../releases/qrq-$(VERSION)
 	mkdir qrq-$(VERSION)
 	cp qrq.png qrqscore qrq.c qrqrc callbase.qcb toplist \
-		AUTHORS ChangeLog README COPYING qrq.1 Makefile \
+		../AUTHORS ../ChangeLog README ../COPYING qrq.1 Makefile qrqinstaller.nsi \
 		english.qcb qrq.ico qrq.rc \
 		qrq-$(VERSION)
 	cp coreaudio.c coreaudio.h oss.c oss.h \
@@ -159,7 +169,7 @@
 	cp -r OSXExtras qrq-$(VERSION)
 	rm -rf qrq-$(VERSION)/OSXExtras/.svn/
 	tar -zcf qrq-$(VERSION).tar.gz qrq-$(VERSION)
-	mv qrq-$(VERSION) releases/
-	mv qrq-$(VERSION).tar.gz releases/
-	md5sum releases/*.gz > releases/md5sums.txt
+	mv qrq-$(VERSION) ../releases/
+	mv qrq-$(VERSION).tar.gz ../releases/
+	md5sum ../releases/*.gz > ../releases/md5sums.txt

=== debian/changelog ===
qrq (0.3.3-3) unstable; urgency=medium

  * Team upload.
  * Specify debhelper compat 12 via debhelper-compat dependency
  * Set "Rules-Requires-Root: no" in debian/control
  * Use https URL in debian/watch
  * Convert debian/copyright to DEP-5 format
  * Add typos.patch

 -- tony mancill <tmancill@debian.org>  Fri, 10 Jan 2020 18:58:39 -0800

qrq (0.3.3-2) unstable; urgency=medium

  [ Helmut Grohne ]
  * Fix FTCBFS: Defer stripping to dh_strip. (Closes: #948524)

 -- Christoph Berg <myon@debian.org>  Fri, 10 Jan 2020 14:10:44 +0100

qrq (0.3.3-1) unstable; urgency=medium

  * New upstream version.
  * Priority: optional.
  * Don't remove README on clean.
  * Remove BUILD_INFO, it makes the build non-reproducible.
  * Add CPPFLAGS to compiler commands.
  * Use dh_link instead of manual ln call.
  * Add debian/gitlab-ci.yml.
  * Add myself to uploaders.

 -- Christoph Berg <myon@debian.org>  Sun, 30 Jun 2019 21:15:45 +0200

qrq (0.3.1-3) unstable; urgency=medium

  * Fix segfault using pulseaudio at qrs bug (Closes: #825862)
    patch from Andreas, DJ3EI
  * Bump Standards-Version to 3.9.8
  * Make stastics plot persistent (Closes: #834932)
    patch from Bernhard Kneip

 -- Colin Tuckley <colint@debian.org>  Sun, 02 Jul 2017 13:15:00 +0100

qrq (0.3.1-2) unstable; urgency=medium

  * Bump Standards-Version to 3.9.6
  * Remove Hurd from list of supported archs (Closes: #782096)
    Thanks to patch from mtang@openmailbox.org
  * fix Conflicting declarations of function write_audio
    patch from Michael Tautschnig <mt@debian.org> (Closes: #750241)

 -- Colin Tuckley <colint@debian.org>  Sat, 09 May 2015 20:29:20 +0100

=== debian/control ===
Source: qrq
Section: hamradio
Priority: optional
Maintainer: Debian Hamradio Maintainers <debian-hams@lists.debian.org>
Uploaders:
 Steve Conklin <steve@conklinhouse.com>,
 Kamal Mostafa <kamal@whence.com>,
 Colin Tuckley <colint@debian.org>,
 Christoph Berg <myon@debian.org>,
Build-Depends: debhelper-compat (= 12), libncurses5-dev, libpulse-dev
Standards-Version: 4.4.1
Homepage: https://fkurz.net/ham/qrq.html
Vcs-Git: https://salsa.debian.org/debian-hamradio-team/qrq.git
Vcs-Browser: https://salsa.debian.org/debian-hamradio-team/qrq
Rules-Requires-Root: no

Package: qrq
Architecture: kfreebsd-any linux-any
Depends: ${misc:Depends}, ${shlibs:Depends}
Suggests: gnuplot
Description: high speed morse trainer, similar to DL4MM's Rufz
 qrq is an open source morse telegraphy trainer for Linux and Unix operating
 systems, similar to the classic DOS version of Rufz by DL4MM.
 .
 It is not intended for learning telegraphy, but to improve the ability
 to copy callsigns at high speeds, as needed for example for Contesting.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_install:
	# quirk around the Makefile's DESTDIR?=/usr oddity
	dh_auto_install --destdir debian/qrq/usr -- INSTALL='install --strip-program=true'

=== debian/watch ===
version=3
https://fkurz.net/ham/qrq/qrq-(.*)\.tar\.gz

## qrq 0.3.5

=== Makefile ===
# qrq Makefile -- Fabian Kurz, DJ5CW -- https://fkurz.net/ham/qrq.html

VERSION?=0.3.5
DESTDIR?=/usr

# set to YES if you want to use Core Audio
# note that you must use Core Audio for OSX
USE_CA=NO

# set to YES if you want to use PulseAudio instead of OSS
USE_PA=YES

# set to YES if you compile with MINGW32
USE_WIN32=NO

# set to YES if building on OSX
OSX_PLATFORM=NO

# set to YES if you want make install to build an OSX bundle instead of
# installing to DESTDIR
# also directs qrq to look in bundle location for shared resources
OSX_BUNDLE=YES

ifneq ($(OSX_PLATFORM), YES)
		OSX_BUNDLE=NO
endif

ifeq ($(USE_WIN32), YES)
	CC=i686-w64-mingw32-gcc-posix
else
	CC=gcc
endif

INSTALL ?= install

# build information may be added by CI scripts and will be
# displayed in the help text (qrq -h)

BUILD_INFO=" Date: $(shell date +%Y-%m-%dT%H:%M:%S%z)\n git branch/commit: $(shell if [ x${CI_COMMIT_REF_NAME} != x ]; then echo ${CI_COMMIT_REF_NAME} ; elif [ -e .git ] || [ -e ../.git ]; then git symbolic-ref --short HEAD ; else echo not built from git repository ; fi) / $(shell if [ x${CI_COMMIT_SHA} != x ]; then echo ${CI_COMMIT_SHA}; elif [ -e .git ] || [ -e ../.git ] ; then git rev-parse --verify HEAD ; else echo - ; fi )\n by $(USER)@$(shell hostname -f)\n OS: $(shell uname -s -r -p)\n Compiler: $(shell $(CC) --version | head -1)"

CFLAGS:=$(CFLAGS) -D DESTDIR=\"$(DESTDIR)\" -D BUILD_INFO=\"$(BUILD_INFO)\" -D VERSION=\"$(VERSION)\" -I.

ifeq ($(USE_CA), YES)
		CC=clang
		OBJECTS=qrq.o coreaudio.o
		CFLAGS:=$(CFLAGS) -D CA -std=c99 -pthread
		ifeq ($(OSX_PLATFORM), YES)
			LDFLAGS:=$(LDFLAGS) -framework AudioUnit -framework CoreServices  -isysroot /Library/Developer/CommandLineTools/SDKs/MacOSX.sdk -mmacosx-version-min=10.5 -lcurses
			CFLAGS:=$(CFLAGS) -isysroot /Library/Developer/CommandLineTools/SDKs/MacOSX.sdk -mmacosx-version-min=10.5
			ifeq ($(OSX_BUNDLE), YES)
				CFLAGS:=$(CFLAGS) -D OSX_BUNDLE
			endif
		else  # build for iphone/ipad
			LDFLAGS:=$(LDFLAGS) -L iOSExtras/lib -framework AudioToolbox -isysroot /Developer/Platforms/iPhoneOS.platform/Developer/SDKs/iPhoneOS.sdk
			CFLAGS:=$(CFLAGS) -I iOSExtras/include -isysroot /Developer/Platforms/iPhoneOS.platform/Developer/SDKs/iPhoneOS.sdk
			CC:=/Developer/Platforms/iPhoneOS.platform/Developer/usr/bin/gcc-4.2 -arch armv6
			IPHONE_HOST=root@localhost
			SCP=scp -P2222
			SSH=ssh -p2222
		endif
else ifeq ($(USE_PA), YES)
		CFLAGS:=$(CFLAGS) -D PA -pthread
		LDFLAGS:=$(LDFLAGS) -lpthread -lpulse-simple -lpulse -lncurses
		OBJECTS=qrq.o pulseaudio.o
else ifeq ($(USE_WIN32), YES)
		CFLAGS:=$(CFLAGS) -D WIN32 -Iinclude -Iinclude/ncursesw
		LDFLAGS:=$(LDFLAGS) -lwinmm -lpthread
		OBJECTS=qrq.o qrq.res lib/libncursesw.a
else
		OBJECTS=qrq.o oss.o
		LDFLAGS:=$(LDFLAGS) -lpthread -lncurses
		CFLAGS:=$(CFLAGS) -D OSS
endif

all: qrq

qrq: $(OBJECTS)
	$(CC) -Wall -o $@ $^ -lm $(LDFLAGS)
	
.c.o:
	$(CC) -Wall $(CPPFLAGS) $(CFLAGS) -c $<

#.cpp.o:
#	g++ $(CFLAGS) -c $<

ifeq ($(OSX_BUNDLE), YES)

install: qrq
	${INSTALL} -d -v							qrq.app/Contents
	${INSTALL} -d -v							qrq.app/Contents/MacOS
	${INSTALL} -d -v							qrq.app/Contents/Resources
	${INSTALL} -d -v							qrq.app/Contents/Resources/share/qrq/
	${INSTALL} -d -v							qrq.app/Contents/Resources/share/man/man1/
	${INSTALL}    -m 0755 qrq					qrq.app/Contents/MacOS/
	${INSTALL}    -m 0755 qrqscore				qrq.app/Contents/MacOS/
	${INSTALL}    -m 0644 qrq.1					qrq.app/Contents/Resources/share/man/man1/
	${INSTALL}    -m 0644 callbase.qcb			qrq.app/Contents/Resources/share/qrq/
	${INSTALL}    -m 0644 english.qcb			qrq.app/Contents/Resources/share/qrq/
	${INSTALL}    -m 0644 cwops.qcb				qrq.app/Contents/Resources/share/qrq/
	${INSTALL}    -m 0644 qrqrc					qrq.app/Contents/Resources/share/qrq/
	${INSTALL}    -m 0644 toplist				qrq.app/Contents/Resources/share/qrq/
	${INSTALL}    -m 0644 OSXExtras/qrq.icns	qrq.app/Contents/Resources/
	${INSTALL}    -m 0755 OSXExtras/qrqsh		qrq.app/Contents/MacOS/
	sed 's/VERSION/$(VERSION)/' OSXExtras/Info.plist > qrq.app/Contents/Info.plist

uninstall:
	rm -rf qrq.app

else

install: qrq
	${INSTALL} -d -v                      $(DESTDIR)/share/qrq/
	${INSTALL} -d -v                      $(DESTDIR)/share/man/man1/
	${INSTALL} -d -v                      $(DESTDIR)/bin/
	${INSTALL} -s -m 0755 qrq             $(DESTDIR)/bin/
	${INSTALL}    -m 0755 qrqscore        $(DESTDIR)/bin/
	${INSTALL}    -m 0644 qrq.1           $(DESTDIR)/share/man/man1/
	${INSTALL}    -m 0644 callbase.qcb    $(DESTDIR)/share/qrq/
	${INSTALL}    -m 0644 english.qcb     $(DESTDIR)/share/qrq/
	${INSTALL}    -m 0644 cwops.qcb       $(DESTDIR)/share/qrq/
	${INSTALL}    -m 0644 qrqrc           $(DESTDIR)/share/qrq/
	${INSTALL}    -m 0644 toplist         $(DESTDIR)/share/qrq/

	
uninstall:
	rm -f $(DESTDIR)/bin/qrq
	rm -f $(DESTDIR)/bin/qrqscore
	rm -f $(DESTDIR)/share/man/man1/qrq.1
	rm -f $(DESTDIR)/share/qrq/callbase.qcb
	rm -f $(DESTDIR)/share/qrq/english.qcb
	rm -f $(DESTDIR)/share/qrq/qrqrc
	rm -f $(DESTDIR)/share/qrq/toplist
	rmdir $(DESTDIR)/share/qrq/

endif

package: qrq
	export CODESIGN_ALLOCATE=/Developer/Platforms/iPhoneOS.platform/Developer/usr/bin/codesign_allocate; ldid -s qrq
	rm -rf qrq-pkg
	${INSTALL} -d -v                      qrq-pkg/$(DESTDIR)/share/qrq/
	${INSTALL} -d -v                      qrq-pkg/$(DESTDIR)/share/man/man1/
	${INSTALL} -d -v                      qrq-pkg/$(DESTDIR)/bin/
	${INSTALL} -d -v                      qrq-pkg/DEBIAN/
	${INSTALL} -s -m 0755 qrq             qrq-pkg/$(DESTDIR)/bin/
	${INSTALL}    -m 0755 qrqscore        qrq-pkg/$(DESTDIR)/bin/
	${INSTALL}    -m 0644 qrq.1           qrq-pkg/$(DESTDIR)/share/man/man1/
	${INSTALL}    -m 0644 callbase.qcb    qrq-pkg/$(DESTDIR)/share/qrq/
	${INSTALL}    -m 0644 english.qcb     qrq-pkg/$(DESTDIR)/share/qrq/
	${INSTALL}    -m 0644 qrqrc           qrq-pkg/$(DESTDIR)/share/qrq/
	${INSTALL}    -m 0644 toplist         qrq-pkg/$(DESTDIR)/share/qrq/
	${INSTALL}    -m 0644 control         qrq-pkg/DEBIAN/
	export COPYFILE_DISABLE=1; export COPY_EXTENDED_ATTRIBUTES_DISABLE=1; dpkg-deb -b qrq-pkg cydiastore_com.kb1ooo.qrq_v$(shell grep ^Version: control | cut -d ' ' -f 2).deb
	$(SCP) cydiastore_com.kb1ooo.qrq_v$(shell grep ^Version: control | cut -d ' ' -f 2).deb $(IPHONE_HOST):/tmp
	$(SSH) $(IPHONE_HOST) "dpkg -i /tmp/cydiastore_com.kb1ooo.qrq_v$(shell grep ^Version: control | cut -d ' ' -f 2).deb"

clean:
	rm -f qrq.exe qrq toplist-old *~ *.o
	rm -rf Summary
	rm -rf qrq.app

dist:
	sed 's/Version [0-9].[0-9].[0-9]/Version $(VERSION)/g' ../README > README
	mkdir -p ../releases
	rm -f ../releases/qrq-$(VERSION).tar.gz
	rm -rf ../releases/qrq-$(VERSION)
	mkdir qrq-$(VERSION)
	cp qrq.png qrqscore qrq.c qrqrc callbase.qcb toplist \
		../AUTHORS ../ChangeLog README ../COPYING qrq.1 Makefile qrqinstaller.nsi \
		english.qcb cwops.qcb qrq.ico qrq.rc \
		qrq-$(VERSION)
	cp coreaudio.c coreaudio.h oss.c oss.h \
		qrq-$(VERSION)
	cp pulseaudio.h pulseaudio.c qrq-$(VERSION)
	cp -r OSXExtras qrq-$(VERSION)
	rm -rf qrq-$(VERSION)/OSXExtras/.svn/
	tar -zcf qrq-$(VERSION).tar.gz qrq-$(VERSION)
	mv qrq-$(VERSION) ../releases/
	mv qrq-$(VERSION).tar.gz ../releases/
	md5sum ../releases/*.gz > ../releases/md5sums.txt

=== debian/changelog ===
qrq (0.3.5-3) unstable; urgency=medium

  * Cherry-pick latest upstream patches to build with gcc 15.
    (Closes: #1097708)

 -- Christoph Berg <myon@debian.org>  Sun, 07 Sep 2025 18:29:29 +0200

qrq (0.3.5-2) unstable; urgency=medium

  * Grab two patches from upstream git:
    + Configurable speed step after each call (tnx DF7CB)
    + Option to stop after an error for review (tnx K7MOZ, EI6LA)
  * Change B-D libncurses5-dev to libncurses-dev.

 -- Christoph Berg <myon@debian.org>  Sun, 31 Dec 2023 14:19:01 +0100

qrq (0.3.5-1) unstable; urgency=medium

  * New upstream version 0.3.5.
  * Retire Steve and Kamal from Uploaders, thanks for your work!
  * Remove obsolete README.Debian.

 -- Christoph Berg <myon@debian.org>  Mon, 31 Jan 2022 10:19:18 +0100

qrq (0.3.3-4) unstable; urgency=medium

  * Team upload.
  * Use debhelper-compat 13
  * Remove Colin Tuckley from Uploaders. (Closes: #990598)
  * Bump Standards-Version to 4.6.0
  * Add warnings-as-errors.patch to address FTBFS (Closes: #997190)
  * debian/rules: debhelper >= 11 handles setting strip for INSTALL

 -- tony mancill <tmancill@debian.org>  Sat, 23 Oct 2021 14:30:09 -0700

=== debian/control ===
Source: qrq
Section: hamradio
Priority: optional
Maintainer: Debian Hamradio Maintainers <debian-hams@lists.debian.org>
Uploaders:
 Christoph Berg <myon@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 libncurses-dev,
 libpulse-dev,
Standards-Version: 4.6.0
Homepage: https://fkurz.net/ham/qrq.html
Vcs-Git: https://salsa.debian.org/debian-hamradio-team/qrq.git
Vcs-Browser: https://salsa.debian.org/debian-hamradio-team/qrq
Rules-Requires-Root: no

Package: qrq
Architecture: kfreebsd-any linux-any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Suggests:
 gnuplot,
Description: high speed morse trainer, similar to DL4MM's Rufz
 qrq is an open source morse telegraphy trainer for Linux and Unix operating
 systems, similar to the classic DOS version of Rufz by DL4MM.
 .
 It is not intended for learning telegraphy, but to improve the ability
 to copy callsigns at high speeds, as needed for example for Contesting.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_install:
	# quirk around the Makefile's DESTDIR?=/usr oddity
	dh_auto_install --destdir debian/qrq/usr
